Summary:	Sony fixed bitmap fonts
Summary(pl.UTF-8):	Fonty bitmapowe Sony o stałej szerokości
Name:		xorg-font-font-sony-misc
Version:	1.0.4
Release:	1
License:	MIT
Group:		Fonts
Source0:	https://xorg.freedesktop.org/releases/individual/font/font-sony-misc-%{version}.tar.xz
# Source0-md5:	ed9d0215f66b622457cd6ecef29a71ec
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-app-bdftopcf
BuildRequires:	xorg-app-mkfontdir
BuildRequires:	xorg-app-mkfontscale
BuildRequires:	xorg-font-font-util >= 1.4
BuildRequires:	xorg-util-util-macros >= 1.20
BuildRequires:	xz
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
# contains useful aliases for these fonts
Requires:	xorg-font-font-alias >= 1.0.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sony fixed bitmap fonts in ISO-8859-1 (Latin) and JISX 0201.1976
(Japanese) encodings.

%description -l pl.UTF-8
Fonty bitmapowe Sony o stałej szerokości znaków w kodowaniach
ISO-8859-1 (łacińskim) i JISX 0201.1976 (japońskim).

%prep
%setup -q -n font-sony-misc-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%if "%{_gnu}" != "-gnux32"
	--build=%{_host} \
	--host=%{_host} \
%endif
	--with-fontdir=%{_fontsdir}/misc

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst misc

%postun
fontpostinst misc

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%{_fontsdir}/misc/8x16*.pcf.gz
%{_fontsdir}/misc/12x24*.pcf.gz
%changelog
* Fri Mar 03 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-font-font-sony-misc.git;a=log;h=master

* Thu Mar 02 2023 Jakub Bogusz <qboosh@pld-linux.org> c8fcb08
- updated to 1.0.4

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> 972f1a5
- release 2 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 685b442
- dropped pre-cvs changelog

* Wed Nov 17 2010 Jakub Bogusz <qboosh@pld-linux.org> b25e1c9
- updated to 1.0.3

* Thu Oct 07 2010 Jakub Bogusz <qboosh@pld-linux.org> 4408b9c
- updated to 1.0.2

* Tue Oct 20 2009 Jakub Bogusz <qboosh@pld-linux.org> c3bd508
- --build/--host compatible with rpm both 4.4/4.5
- util-macros version, BR: font-util
- added README to doc

* Mon Oct 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> d5d07f0
- up to 1.0.1

* Sun Oct 21 2007 Marcin Banasiak <marcin.banasiak@gmail.com> a240aaa
- BA: noarch
- release 2

* Mon Apr 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 19c74cc
- informative descs
- R: font-alias as it contains some useful entries for -sony-fixed-* fonts
- release 1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> b0defd1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b634a97
- converted to UTF-8

* Wed Jan 04 2006 Jakub Bogusz <qboosh@pld-linux.org> c858d41
- 1.0.0 (X11R7.0 release)

* Tue Dec 06 2005 Jakub Bogusz <qboosh@pld-linux.org> 4d01eea
- 0.99.1 (X11R7.0-RC3)
- use system fonts infrastructure

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 5521836
- pkgconfig epoch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 433b3eb
- cleanups, better Group; TODO: use PLD fonts infrastructure

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> d0300de
- s/pkg-config/pkgconfig/ in BR:

* Mon Aug 15 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 382c32d
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

